> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project by ID or name

> Retrieve a specific project using its unique identifier: either project ID or project name. Note: When using a project name as the identifier, it cannot contain slash (/), question mark (?), or pound sign (#) characters.



## OpenAPI

````yaml get /v1/projects/{project_identifier}
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/projects/{project_identifier}:
    get:
      tags:
        - projects
      summary: Get project by ID or name
      description: >-
        Retrieve a specific project using its unique identifier: either project
        ID or project name. Note: When using a project name as the identifier,
        it cannot contain slash (/), question mark (?), or pound sign (#)
        characters.
      operationId: getProject
      parameters:
        - name: project_identifier
          in: path
          required: true
          schema:
            type: string
            description: >-
              The project identifier: either project ID or project name. If
              using a project name, it cannot contain slash (/), question mark
              (?), or pound sign (#) characters.
            title: Project Identifier
          description: >-
            The project identifier: either project ID or project name. If using
            a project name, it cannot contain slash (/), question mark (?), or
            pound sign (#) characters.
      responses:
        '200':
          description: The requested project
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProjectResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    GetProjectResponseBody:
      properties:
        data:
          $ref: '#/components/schemas/Project'
      type: object
      required:
        - data
      title: GetProjectResponseBody
    Project:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - id
      title: Project

````